select case when t2.tarchives_userdaid IS null then '未浏览' else '已浏览' end as ftype,
       count(distinct t1.tenterprise_userid)                             as fcount
from tenterprise_users t1
         left join tarchives_userdata t2
                   on t1.siteid = t2.siteid and t1.tenterprise_userid = t2.tenterprise_userid and t2.tarchivesid = $tarchivesid$
where t1.siteid = $siteid$  and t1.fusertype = '企业'
group by case when t2.tarchives_userdaid IS null then '未浏览'
else'已浏览'end